BuildersMessages (Mule ESB 2.2.1 API)
Keywords: org.mule.config.builders.i18n.BuildersMessages class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.builders.i18n
Class BuildersMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.config.builders.i18n.BuildersMessages

    public class BuildersMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`BuildersMessages()`

Method Summary
`static Message` | `failedToParseConfigResource(String description)`
`static Message` | `mustSpecifyContainerRefOrClassAttribute(String containerAttrib, String refAttrib, String config)`
`static Message` | `propertyTemplateMalformed(String string)`
`static Message` | `systemPropertyNotSet(String property)`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildersMessages

    public BuildersMessages()

Method Detail

### failedToParseConfigResource

    public static Message failedToParseConfigResource(String description)

### propertyTemplateMalformed

    public static Message propertyTemplateMalformed(String string)

### systemPropertyNotSet

    public static Message systemPropertyNotSet(String property)

### mustSpecifyContainerRefOrClassAttribute

    public static Message mustSpecifyContainerRefOrClassAttribute(String containerAttrib,
                                                                  String refAttrib,
                                                                  String config)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.